Package org.eclipse.net4j.util.ui.confirmation

## Class ConfirmationDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.IconAndMessageDialog
      - - org.eclipse.jface.dialogs.MessageDialog
        - - org.eclipse.net4j.util.ui.confirmation.ConfirmationDialog

- All Implemented Interfaces:
    `IShellProvider`

      public class ConfirmationDialog
      extends MessageDialog

  Since:
    3.4
  Author:
    Christian W. Damus (CEA LIST)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

      `Window.IExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.dialogs.MessageDialog

      `CONFIRM, ERROR, INFORMATION, NONE, QUESTION, QUESTION_WITH_CANCEL, WARNING`

    - ### Fields inherited from class org.eclipse.jface.dialogs.IconAndMessageDialog

      `imageLabel, message, messageLabel`

    - ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

      `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

    - ### Fields inherited from class org.eclipse.jface.window.Window

      `CANCEL, OK, resizeHasOccurred`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfirmationDialog​(Shell shell, java.lang.String title, java.lang.String message, java.util.Set<Confirmation> acceptableResponses, Confirmation suggestedResponse)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Confirmation` | `openConfirm​(Shell shell, java.lang.String title, java.lang.String message, java.util.Set<Confirmation> acceptableResponses, Confirmation suggestedResponse)` |

    - ### Methods inherited from class org.eclipse.jface.dialogs.MessageDialog

      `buttonPressed, configureShell, createButton, createButtonsForButtonBar, createCustomArea, createDialogArea, customShouldTakeFocus, getButton, getButtonLabels, getDefaultButtonIndex, getImage, getMinimumMessageWidth, handleShellCloseEvent, open, open, openConfirm, openError, openInformation, openQuestion, openWarning, setButtonLabels, setButtons`

    - ### Methods inherited from class org.eclipse.jface.dialogs.IconAndMessageDialog

      `createButtonBar, createContents, createDialogAndButtonArea, createMessageArea, getColumnCount, getErrorImage, getInfoImage, getMessageLabelStyle, getQuestionImage, getWarningImage`

    - ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

      `applyDialogFont, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, dialogFontIsDefault, getBlockedHandler, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

    - ### Methods inherited from class org.eclipse.jface.window.Window

      `canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfirmationDialog

          public ConfirmationDialog​(Shell shell,
                                    java.lang.String title,
                                    java.lang.String message,
                                    java.util.Set<Confirmation> acceptableResponses,
                                    Confirmation suggestedResponse)

  - ### Method Detail

    - #### openConfirm

          public static Confirmation openConfirm​(Shell shell,
                                                 java.lang.String title,
                                                 java.lang.String message,
                                                 java.util.Set<Confirmation> acceptableResponses,
                                                 Confirmation suggestedResponse)